Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package doclet
  Definition Classes
    doc
- Generator
- Universer

c

scala.tools.nsc.doc.doclet

# Generator

###

#### abstract class Generator extends AnyRef

Custom Scaladoc generators must implement the `Generator` class. A custom generator can be selected in Scaladoc using the `-doc-generator` command line option. The `Generator` class does not provide data about the documented code. A number of data provider traits can be used to configure what data is actually available to the generator:

- A `Universer` provides a `Universe` data structure representing the interfaces and comments of the documented program. To implement this class only requires defining method `generateImpl`.

Source
  Generator.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Universer, Doclet
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Generator
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Generator()

### Abstract Value Members

1.  abstract def generateImpl(): Unit

   Outputs documentation (as a side effect).

   Outputs documentation (as a side effect). This method is called only if all `checks` are true.

   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Generator toany2stringadd[Generator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Generator, B)
   Implicit
     This member is added by an implicit conversion from Generator toArrowAssoc[Generator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val checks: Set[() => Boolean]

   A series of tests that must be true before generation can be done.

   A series of tests that must be true before generation can be done. This is used by data provider traits to confirm that they have been correctly initialised before allowing generation to proceed.

   Attributes
     protected
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (Generator) => Boolean, msg: => Any): Generator
   Implicit
     This member is added by an implicit conversion from Generator toEnsuring[Generator] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Generator) => Boolean): Generator
    Implicit
      This member is added by an implicit conversion from Generator toEnsuring[Generator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): Generator
    Implicit
      This member is added by an implicit conversion from Generator toEnsuring[Generator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Generator
    Implicit
      This member is added by an implicit conversion from Generator toEnsuring[Generator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Generator toStringFormat[Generator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  def generate(): Unit

    Outputs documentation (as a side effect).

18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Generator, B)
   Implicit
     This member is added by an implicit conversion from Generator toArrowAssoc[Generator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromGenerator to any2stringadd[Generator]

### Inherited by implicit conversion StringFormat fromGenerator to StringFormat[Generator]

### Inherited by implicit conversion Ensuring fromGenerator to Ensuring[Generator]

### Inherited by implicit conversion ArrowAssoc fromGenerator to ArrowAssoc[Generator]

### Ungrouped